#!/bin/bash
cd

sudo eopkg up

sudo snap install spotify
sudo eopkg it -c system.devel -y
sudo eopkg it xrdb zsh git git-lfs telegram htop etcher golang zip unzip cava neofetch aria2 acpi ncmpcpp rxvt-unicode vim epson-inkjet-printer-escpr flatpak texlive-all solbuild pip -y

sudo ln -s /usr/bin/telegram /usr/bin/telegram-desktop

sudo eopkg it https://github.com/ZotanWolf/solbuilds/raw/master/chrome/chrome-64.0.3282.119-1-1-x86_64.eopkg https://github.com/ZotanWolf/solbuilds/raw/master/cli-visualizer/cli-visualizer-1.7-1-1-x86_64.eopkg https://github.com/ZotanWolf/solbuilds/raw/master/dotnet/dotnet-sdk-1.2.4-1-1-x86_64.eopkg https://github.com/ZotanWolf/solbuilds/raw/master/geogebra/geogebra-5.0.24-1-1-x86_64.eopkg https://github.com/ZotanWolf/solbuilds/raw/master/insync/insync-1.3.22-36179-1-x86_64.eopkg https://github.com/ZotanWolf/solbuilds/raw/master/jetbrains-toolbox/jetbrains-toolbox-1.6.2914-1-1-x86_64.eopkg https://github.com/ZotanWolf/solbuilds/raw/master/libspotify/libspotify-devel-12.1.51-3-1-x86_64.eopkg https://github.com/ZotanWolf/solbuilds/raw/master/libspotify/libspotify-12.1.51-3-1-x86_64.eopkg https://github.com/ZotanWolf/solbuilds/raw/master/sublime/sublime-text-dev-3-3143-1-x86_64.eopkg https://github.com/ZotanWolf/solbuilds/raw/master/xarchiver/xarchiver-0.5.4-1-1-x86_64.eopkg

sudo solbuild update
if [[ $? == 1 ]]; then
	sudo solbuild init
	sudo solbuild update
fi

sudo pip install mopidy mopidy-spotify mopidy-spotify-web mopidy-iris

flatpak install --user --from https://download.mono-project.com/repo/monodevelop.flatpakref -y

wget https://zotan.pw/dotfiles.zip -O /tmp/dotfiles.zip
unzip -o /tmp/dotfiles.zip -d .
xrdb -load .Xresources

bash -c "$(curl -sSL zotan.pw/solus-ohmyz.sh)"

cat .zshrc | grep transfer.sh -q
if [[ $? -ne 0 ]]; then
    curl -fsSL https://gist.githubusercontent.com/anonymous/c2a9e0ea86b5fb9c7971182f461e33e4/raw/567a15b8491cb9106c53835c731e583d3b12d7b5/gistfile1.txt >> .zshrc
fi
